<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PackageBooking StructType
 * @subpackage Structs
 */
class PackageBooking extends AbstractStructBase
{
    /**
     * The PackageBookingRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PackageBooking
     */
    public $PackageBookingRQ;
    /**
     * Constructor method for PackageBooking
     * @uses PackageBooking::setPackageBookingRQ()
     * @param \StructType\JP_PackageBooking $packageBookingRQ
     */
    public function __construct(\StructType\JP_PackageBooking $packageBookingRQ = null)
    {
        $this
            ->setPackageBookingRQ($packageBookingRQ);
    }
    /**
     * Get PackageBookingRQ value
     * @return \StructType\JP_PackageBooking|null
     */
    public function getPackageBookingRQ()
    {
        return $this->PackageBookingRQ;
    }
    /**
     * Set PackageBookingRQ value
     * @param \StructType\JP_PackageBooking $packageBookingRQ
     * @return \StructType\PackageBooking
     */
    public function setPackageBookingRQ(\StructType\JP_PackageBooking $packageBookingRQ = null)
    {
        $this->PackageBookingRQ = $packageBookingRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PackageBooking
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
